Cyberduck Mountain Duck CLI

#8094 closed defect (fixed)

Does not show files in folders more than one level deep

Reported by: xojoit Owned by: dkocher
Priority: highest Milestone: 4.5.2
Component: openstack Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description (last modified by dkocher)

If I have an OpenStack container, I can see any files within it, but once you try to drill down into a folder, the items in that folder do not appear in cyberduck.

The header of the response says there are 82 items in the directory.

X-Container-Object-Count: 82

Change History (16)

comment:1 Changed on Jul 18, 2014 at 2:20:29 PM by dkocher

  • Component changed from core to openstack
  • Owner set to dkocher
  • Summary changed from OpenStack does not show files in folders more than one level deep to Does not show files in folders more than one level deep

comment:2 Changed on Jul 18, 2014 at 2:21:26 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jul 25, 2014 at 6:27:43 AM by nate1

Since upgrading to 4.5, I have this issue as no files show in folders when I connect to Rackspace Cloud Files. Each folder shows as 0 files.

I have confirmed that the files are still in there via RS portal.

I do however have this on a Windows version of Cyberduck.

Can you confirm if my issue is the same as reported here?

thanks

comment:4 Changed on Jul 25, 2014 at 12:21:41 PM by dkocher

  • Milestone set to 4.5.2

comment:5 Changed on Jul 26, 2014 at 2:18:21 PM by dkocher

#8114 closed as duplicate.

comment:6 Changed on Jul 26, 2014 at 2:19:00 PM by dkocher

#8116 closed as duplicate.

comment:7 Changed on Jul 26, 2014 at 9:36:13 PM by dkocher

#8120 closed as duplicate.

comment:8 Changed on Jul 26, 2014 at 9:36:51 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Fix and test in r14917.

comment:9 Changed on Jul 29, 2014 at 6:41:31 PM by dkocher

Please update to the latest snapshot build available.

comment:10 Changed on Aug 10, 2014 at 4:35:09 PM by dkocher

#8157, #8146, #8142 closed as duplicates.

comment:11 Changed on Aug 11, 2014 at 4:37:53 PM by dkocher

#8163 closed as duplicate.

comment:12 Changed on Aug 12, 2014 at 7:08:46 AM by dkocher

#8170 closed as duplicate.

comment:13 follow-up: Changed on Aug 15, 2014 at 6:26:49 PM by david cole

I can confirm the listing issue no longer happens in build 15019. As this issue is kind of a big problem, could we get a stable release please ? Possibly 4.5.1.1, based on 4.5.1 plus this fix maybe if you're not happy to release 4.5.2 yet ?

comment:14 in reply to: ↑ 13 Changed on Aug 15, 2014 at 8:18:01 PM by dkocher

Replying to david cole:

I can confirm the listing issue no longer happens in build 15019. As this issue is kind of a big problem, could we get a stable release please ? Possibly 4.5.1.1, based on 4.5.1 plus this fix maybe if you're not happy to release 4.5.2 yet ?

Version 4.5.2 has already been submitted to the Mac App Store and will be released next week.

comment:15 Changed on Aug 19, 2014 at 8:23:08 AM by dkocher

#8186 closed as duplicate.

comment:16 Changed on Sep 10, 2014 at 8:24:05 PM by dkocher

#8218 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software